<?php

namespace YahnisElsts\PluginUpdateChecker\v5p1;

use YahnisElsts\PluginUpdateChecker\v5\PucFactory as MajorFactory;
use YahnisElsts\PluginUpdateChecker\v5p1\PucFactory as MinorFactory;

require __DIR__ . '/update/v5p1/Autoloader.php';
new Autoloader();

require __DIR__ . '/update/v5p1/PucFactory.php';
require __DIR__ . '/update/v5/PucFactory.php';

//Register classes defined in this version with the factory.
foreach (
	array(
		'Plugin\\UpdateChecker' => Plugin\UpdateChecker::class,
		'Vcs\\PluginUpdateChecker' => Vcs\PluginUpdateChecker::class,
	)
	as $pucGeneralClass => $pucVersionedClass
) {
	MajorFactory::addVersion($pucGeneralClass, $pucVersionedClass, '5.1');
	MinorFactory::addVersion($pucGeneralClass, $pucVersionedClass, '5.1');
}
